Package com.google.web.bindery.requestfactory.server.jakarta

## Class Logging

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.jakarta.Logging

-     public class Logging
      extends java.lang.Object

  Server-side object that handles log messages sent by `RequestFactoryLogHandler`.

  To use this in `jakarta.servlet` projects, be sure to reference `com.google.web.bindery.requestfactory.shared.jakarta.LoggingRequest` instead of the non-jakarta version, and making a copy of `RequestFactoryLogHandler` that uses it.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Logging()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Returns the id of this instance.
    `java.lang.Integer` | `getVersion()` | Returns the version of this instance.
    `static void` | `logMessage​(java.lang.String logRecordJson)` | Logs a message.
    `void` | `setId​(java.lang.String id)` | Sets the id on this instance.
    `static void` | `setStackTraceDeobfuscator​(StackTraceDeobfuscator stackTraceDeobfuscator)` | This function is only for server-side use which is why it's not in the LoggingRequest interface.
    `static void` | `setSymbolMapsDirectory​(java.lang.String dir)` | This function is only for server-side use which is why it's not in the LoggingRequest interface.
    `void` | `setVersion​(java.lang.Integer version)` | Sets the version of this instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logging

          public Logging()

  - ### Method Detail

    - #### logMessage

          public static void logMessage​(java.lang.String logRecordJson)
                                 throws RemoteLoggingServiceUtil.RemoteLoggingException

      Logs a message.
      Parameters:
        `logRecordJson` - a json serialized LogRecord, as provided by `JsonLogRecordClientUtil.logRecordAsJson(java.util.logging.LogRecord)`
      Throws:
        `RemoteLoggingServiceUtil.RemoteLoggingException` - if logging fails

    - #### setSymbolMapsDirectory

          public static void setSymbolMapsDirectory​(java.lang.String dir)

      This function is only for server-side use which is why it's not in the LoggingRequest interface.
      Parameters:
        `dir` - a directory, specified as a String

    - #### setStackTraceDeobfuscator

          public static void setStackTraceDeobfuscator​(StackTraceDeobfuscator stackTraceDeobfuscator)

      This function is only for server-side use which is why it's not in the LoggingRequest interface.
      Parameters:
        `stackTraceDeobfuscator` - the StackTraceDeobfuscator instance to use

    - #### getId

          public java.lang.String getId()

      Returns the id of this instance.
      Returns:
        a String id
      See Also:
        `setId(String)`

    - #### getVersion

          public java.lang.Integer getVersion()

      Returns the version of this instance.
      Returns:
        an Integer version number
      See Also:
        `setVersion(Integer)`

    - #### setId

          public void setId​(java.lang.String id)

      Sets the id on this instance.
      Parameters:
        `id` - a String id
      See Also:
        `getId()`

    - #### setVersion

          public void setVersion​(java.lang.Integer version)

      Sets the version of this instance.
      Parameters:
        `version` - an Integer version number
      See Also:
        `getVersion()`